Package org.apache.ignite.internal.management.consistency

## Class ConsistencyRepairCommand

- java.lang.Object
- - org.apache.ignite.internal.management.consistency.ConsistencyRepairCommand

All Implemented Interfaces:
  `Command<ConsistencyRepairCommandArg,​String>`, `LocalCommand<ConsistencyRepairCommandArg,​String>`

    public class ConsistencyRepairCommand
    extends Object
    implements LocalCommand<ConsistencyRepairCommandArg,​String>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`ConsistencyRepairCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<ConsistencyRepairCommandArg>` `argClass()`
`String` `description()` Command description.
`String` `execute​(@Nullable GridClient cli, @Nullable IgniteClient client, @Nullable Ignite ignite, ConsistencyRepairCommandArg arg, Consumer<String> printer)` Executes command logic.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### ConsistencyRepairCommand

    public ConsistencyRepairCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<ConsistencyRepairCommandArg,​String>`

#### argClass

    public Class<ConsistencyRepairCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<ConsistencyRepairCommandArg,​String>`
Returns:
  Arguments class.

#### execute

    public String execute​(@Nullable
                          @Nullable GridClient cli,
                          @Nullable
                          @Nullable IgniteClient client,
                          @Nullable
                          @Nullable Ignite ignite,
                          ConsistencyRepairCommandArg arg,
                          Consumer<String> printer)
                   throws Exception

Executes command logic. Commands invoked in two different environments:

- CLI utility using `GridClient` connection to interact with cluster.
- Inside `Ignite` node therefore local node can be used to interact with cluster.

Please, keep in mind that `GridClient` protocol is obsolete and can be removed in future releases.

Specified by:
  `execute` in interface `LocalCommand<ConsistencyRepairCommandArg,​String>`
Parameters:
  `cli` - Optional grid client instance.
  `ignite` - Optional ignite node.
  `arg` - Command argument.
  `printer` - Results printer.
Returns:
  Command result.
Throws:
  `Exception`